diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
index 8ad9ec4ba..f60947684 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
@@ -1,10 +1,11 @@
 package net.minecraft.client.gui.container;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.ClickableLabelElement;
 import net.minecraft.client.gui.DrawableSurfaceElement;
 import net.minecraft.client.gui.TexturedButtonElement;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.entity.player.Player;
 import org.jetbrains.annotations.NotNull;
@@ -24,12 +25,10 @@ import net.minecraft.core.util.helper.MathHelper;
 
 import java.nio.ByteBuffer;
 import java.nio.ByteOrder;
-import java.util.Arrays;
 
 public class ScreenFlagEditor
     extends ScreenContainerAbstract
-    implements IDrawableSurface<Byte>
-{
+    implements IDrawableSurface<Byte> {
     private final TileEntityFlag flagEntity;
     private final int CANVAS_SCALE = 4;
     private final int CANVAS_WIDTH = TileEntityFlag.CANVAS_WIDTH;
@@ -55,152 +54,134 @@ public class ScreenFlagEditor
 
     DrawableSurfaceElement flagSurface;
     DrawableSurfaceElement drawOverlaySurface;
-    
-    public ScreenFlagEditor(Player player, TileEntityFlag flagTileEntity)
-    {
+
+    public ScreenFlagEditor(Player player, TileEntityFlag flagTileEntity) {
         super(new MenuFlag(player.inventory, flagTileEntity));
         this.flagEntity = flagTileEntity;
-        xSize = 176;
-        ySize = 195;
+        this.xSize = 176;
+        this.ySize = 195;
         flagTileEntity.owner = player.uuid;
 
-        flagSurface = new DrawableSurfaceElement(CANVAS_WIDTH, CANVAS_HEIGHT, CANVAS_SCALE, flagTileEntity.flagColors);
-        flagSurfaceEditor = new DrawableEditor<>(flagSurface);
-        drawOverlaySurface = new DrawableSurfaceElement(CANVAS_WIDTH, CANVAS_HEIGHT, CANVAS_SCALE);
-        drawOverlaySurfaceEditor = new DrawableEditor<>(drawOverlaySurface);
+        this.flagSurface = new DrawableSurfaceElement(this.CANVAS_WIDTH, this.CANVAS_HEIGHT, this.CANVAS_SCALE, flagTileEntity.flagColors);
+        this.flagSurfaceEditor = new DrawableEditor<>(this.flagSurface);
+        this.drawOverlaySurface = new DrawableSurfaceElement(this.CANVAS_WIDTH, this.CANVAS_HEIGHT, this.CANVAS_SCALE);
+        this.drawOverlaySurfaceEditor = new DrawableEditor<>(this.drawOverlaySurface);
     }
 
     @Override
-    public void init()
-    {
+    public void init() {
         super.init();
-        buttons.clear();
+        this.buttons.clear();
 
-        canvasX = (width - xSize) / 2 + 27;
-        canvasY = (height - ySize) / 2 + 8;
+        this.canvasX = (this.width - this.xSize) / 2 + 27;
+        this.canvasY = (this.height - this.ySize) / 2 + 8;
 
-        toolBtns = new TexturedButtonElement[7];
+        this.toolBtns = new TexturedButtonElement[7];
 
-        for (int i = 0; i < 7; i++)
-        {
-            toolBtns[i] = new TexturedButtonElement(i, "/assets/minecraft/textures/gui/container/flag_editor.png", (width - xSize) / 2 + 12 + 22 * i, (height - ySize) / 2 + 76, 20 * i, 195, 20, 20);
-            if (i == activeTool) toolBtns[i].enabled = false;
-            buttons.add(toolBtns[i]);
+        for (int i = 0; i < 7; i++) {
+            this.toolBtns[i] = new TexturedButtonElement(i, "/assets/minecraft/textures/gui/container/flag_editor.png", (this.width - this.xSize) / 2 + 12 + 22 * i, (this.height - this.ySize) / 2 + 76, 20 * i, 195, 20, 20);
+            if (i == this.activeTool) this.toolBtns[i].enabled = false;
+            this.buttons.add(this.toolBtns[i]);
         }
 
-        colorLabels = new ClickableLabelElement[3];
+        this.colorLabels = new ClickableLabelElement[3];
 
-        for (int i = 0; i < 3; i++)
-        {
-            colorLabels[i] = new ClickableLabelElement(100 + i, (width - xSize) / 2 + 150, (height - ySize) / 2 + 12 + (i * 22), String.valueOf(i + 1), 0xFFFFFFFF, 0x00000000);
-            if (i != selectedColor) {
-                colorLabels[i].setTextColor(0xFF3F3F3F);
-                colorLabels[i].setShadow(false);
+        for (int i = 0; i < 3; i++) {
+            this.colorLabels[i] = new ClickableLabelElement(100 + i, (this.width - this.xSize) / 2 + 150, (this.height - this.ySize) / 2 + 12 + (i * 22), String.valueOf(i + 1), 0xFFFFFFFF, 0x00000000);
+            if (i != this.selectedColor) {
+                this.colorLabels[i].setTextColor(0xFF3F3F3F);
+                this.colorLabels[i].setShadow(false);
             }
-            buttons.add(colorLabels[i]);
+            this.buttons.add(this.colorLabels[i]);
         }
 
-        buttons.add(
+        this.buttons.add(
             new ButtonElement(50, (this.width - this.xSize) / 2 + 12, (this.height - this.ySize) / 2 + 61, 12, 12, "")
                 .setTextures("minecraft:gui/misc/button_flag_flip", "minecraft:gui/misc/button_flag_flip_highlighted", "minecraft:gui/misc/button_flag_flip_disabled.png")
         );
     }
 
-    private void renderCanvas()
-    {
-        canvasX = (width - xSize) / 2 + 27;
-        canvasY = (height - ySize) / 2 + 8;
+    private void renderCanvas() {
+        this.canvasX = (this.width - this.xSize) / 2 + 27;
+        this.canvasY = (this.height - this.ySize) / 2 + 8;
 
         int[] colors = new int[5];
-        for (int i = 1; i < 4; i++)
-        {
-            ItemStack stack = flagEntity.getItem(35 + i);
-            if (stack != null && stack.getItem() == Items.DYE)
-            {
+        for (int i = 1; i < 4; i++) {
+            ItemStack stack = this.flagEntity.getItem(35 + i);
+            if (stack != null && stack.getItem() == Items.DYE) {
                 colors[i] = Colors.allFlagColors[TextFormatting.get(15 - stack.getMetadata()).id].getARGB();
             }
         }
         colors[4] = 0xFFFFFFFF;
-        flagSurface.colors = colors;
-        drawOverlaySurface.colors = colors;
-        
-        GL11.glEnable(GL11.GL_BLEND);
+        this.flagSurface.colors = colors;
+        this.drawOverlaySurface.colors = colors;
+
+        GLRenderer.enableState(State.BLEND);
         GL11.glBlendFunc(GL11.GL_ONE_MINUS_SRC_COLOR, GL11.GL_SRC_COLOR);
-        flagSurface.render(canvasX, canvasY);
-        GL11.glDisable(GL11.GL_BLEND);
-        drawOverlaySurface.render(canvasX, canvasY);
+        this.flagSurface.render(this.canvasX, this.canvasY);
+        GLRenderer.disableState(State.BLEND);
+        this.drawOverlaySurface.render(this.canvasX, this.canvasY);
     }
 
     @Override
-    public void mouseClicked(int mx, int my, int buttonNum)
-    {
+    public void mouseClicked(int mx, int my, int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
-        
+
         // Do not draw with no color selected
-        if(flagEntity.getItem(36 + selectedColor) == null) {
-        	return;
+        if (this.flagEntity.getItem(36 + this.selectedColor) == null) {
+            return;
         }
-        
-        if (activeTool >= 0 && activeTool < 3) // Pen
+
+        if (this.activeTool >= 0 && this.activeTool < 3) // Pen
         {
-            if (!isDrawing)
-            {
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
-                if (xInCanvas >= 0 && xInCanvas < CANVAS_WIDTH
-                        && yInCanvas >= 0 && yInCanvas < CANVAS_HEIGHT)
-                {
-                    isDrawing = true;
-                    xLast = xInCanvas;
-                    yLast = yInCanvas;
+            if (!this.isDrawing) {
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
+                if (xInCanvas >= 0 && xInCanvas < this.CANVAS_WIDTH
+                    && yInCanvas >= 0 && yInCanvas < this.CANVAS_HEIGHT) {
+                    this.isDrawing = true;
+                    this.xLast = xInCanvas;
+                    this.yLast = yInCanvas;
                     this.mouseButton = buttonNum;
 
                     byte color = 0;
-                    if (this.mouseButton == 0)
-                    {
-                        color = (byte) (selectedColor + 1);
+                    if (this.mouseButton == 0) {
+                        color = (byte) (this.selectedColor + 1);
                     }
-                    flagSurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, activeTool + 1);
-                    flagEntity.isDirty = true;
+                    this.flagSurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, this.activeTool + 1);
+                    this.flagEntity.isDirty = true;
                 }
             }
-        }
-        else if (activeTool == 3) // Flood fill
+        } else if (this.activeTool == 3) // Flood fill
         {
-            if (!isDrawing)
-            {
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
-                if (xInCanvas >= 0 && xInCanvas < CANVAS_WIDTH
-                        && yInCanvas >= 0 && yInCanvas < CANVAS_HEIGHT)
-                {
-                    isDrawing = true;
+            if (!this.isDrawing) {
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
+                if (xInCanvas >= 0 && xInCanvas < this.CANVAS_WIDTH
+                    && yInCanvas >= 0 && yInCanvas < this.CANVAS_HEIGHT) {
+                    this.isDrawing = true;
                     this.mouseButton = buttonNum;
 
                     byte color = 0;
-                    if (this.mouseButton == 0)
-                    {
-                        color = (byte) (selectedColor + 1);
+                    if (this.mouseButton == 0) {
+                        color = (byte) (this.selectedColor + 1);
                     }
-                    flagSurfaceEditor.floodFill(xInCanvas, yInCanvas, color);
-                    flagEntity.isDirty = true;
+                    this.flagSurfaceEditor.floodFill(xInCanvas, yInCanvas, color);
+                    this.flagEntity.isDirty = true;
                 }
             }
-        }
-        else if (activeTool == 4 || activeTool == 5 || activeTool == 6) // Rectangle or Ellipse or Line
+        } else if (this.activeTool == 4 || this.activeTool == 5 || this.activeTool == 6) // Rectangle or Ellipse or Line
         {
-            if (!isDrawing)
-            {
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
-                if (xInCanvas >= 0 && xInCanvas < CANVAS_WIDTH
-                        && yInCanvas >= 0 && yInCanvas < CANVAS_HEIGHT)
-                {
-                    isDrawing = true;
+            if (!this.isDrawing) {
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
+                if (xInCanvas >= 0 && xInCanvas < this.CANVAS_WIDTH
+                    && yInCanvas >= 0 && yInCanvas < this.CANVAS_HEIGHT) {
+                    this.isDrawing = true;
                     this.mouseButton = buttonNum;
 
-                    xLast = xInCanvas;
-                    yLast = yInCanvas;
+                    this.xLast = xInCanvas;
+                    this.yLast = yInCanvas;
                 }
             }
         }
@@ -208,8 +189,8 @@ public class ScreenFlagEditor
 
     @Override
     public void tick() {
-        tickCount++;
-        if(mc.currentWorld.isClientSide && (tickCount % 40 == 0)) {
+        this.tickCount++;
+        if (this.mc.currentWorld.isClientSide && (this.tickCount % 40 == 0)) {
             sendUpdatePacket();
         }
     }
@@ -217,210 +198,173 @@ public class ScreenFlagEditor
     @Override
     public void removed() {
         super.removed();
-        if(this.mc.currentWorld != null && mc.currentWorld.isClientSide) {
+        if (this.mc.currentWorld != null && this.mc.currentWorld.isClientSide) {
             sendUpdatePacket();
         }
     }
 
     @Override
-    protected void buttonClicked(@NotNull ButtonElement button)
-    {
+    protected void buttonClicked(@NotNull ButtonElement button) {
         super.buttonClicked(button);
-        if (button.id >= 0 && button.id < 7)
-        {
-            toolBtns[activeTool].enabled = true;
-            activeTool = button.id;
+        if (button.id >= 0 && button.id < 7) {
+            this.toolBtns[this.activeTool].enabled = true;
+            this.activeTool = button.id;
             button.enabled = false;
         }
         if (button.id == 50) {
-            flagEntity.setFlipped(!flagEntity.getFlipped());
-            if(mc.currentWorld.isClientSide) {
+            this.flagEntity.setFlipped(!this.flagEntity.getFlipped());
+            if (this.mc.currentWorld.isClientSide) {
                 sendUpdatePacket();
             }
         }
-        if (button.id >= 100 && button.id < 103)
-        {
-            colorLabels[selectedColor].setTextColor(0xFF404040);
-            colorLabels[selectedColor].setShadow(false);
-            selectedColor = button.id - 100;
-            colorLabels[selectedColor].setTextColor(0xFFFFFFF);
-            colorLabels[selectedColor].setShadow(true);
+        if (button.id >= 100 && button.id < 103) {
+            this.colorLabels[this.selectedColor].setTextColor(0xFF404040);
+            this.colorLabels[this.selectedColor].setShadow(false);
+            this.selectedColor = button.id - 100;
+            this.colorLabels[this.selectedColor].setTextColor(0xFFFFFFF);
+            this.colorLabels[this.selectedColor].setShadow(true);
         }
     }
 
     @Override
-    public void mouseReleased(final int mx, final int my, final int buttonNum)
-    {
+    public void mouseReleased(final int mx, final int my, final int buttonNum) {
         super.mouseReleased(mx, my, buttonNum);
 
-        if (activeTool >= 0 && activeTool < 3) // Pen
+        if (this.activeTool >= 0 && this.activeTool < 3) // Pen
         {
-            if (isDrawing && buttonNum != -1)
-            {
-                isDrawing = false;
+            if (this.isDrawing && buttonNum != -1) {
+                this.isDrawing = false;
                 this.mouseButton = -1;
-            }
-            else if (isDrawing)
-            {
+            } else if (this.isDrawing) {
                 // divide by pixel scale
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
 
                 byte color = 0;
-                if (this.mouseButton == 0)
-                {
-                    color = (byte) (selectedColor + 1);
+                if (this.mouseButton == 0) {
+                    color = (byte) (this.selectedColor + 1);
                 }
 
-                if(MathHelper.abs(xLast - xInCanvas) <= 1 && MathHelper.abs(yLast - yInCanvas) <= 1)
-                {
-                    flagSurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, activeTool + 1);
-                    flagEntity.isDirty = true;
-                }
-                else
-                {
-                    flagSurfaceEditor.drawLine(xLast, yLast, xInCanvas, yInCanvas, color, activeTool + 1);
-                    flagEntity.isDirty = true;
+                if (MathHelper.abs(this.xLast - xInCanvas) <= 1 && MathHelper.abs(this.yLast - yInCanvas) <= 1) {
+                    this.flagSurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, this.activeTool + 1);
+                    this.flagEntity.isDirty = true;
+                } else {
+                    this.flagSurfaceEditor.drawLine(this.xLast, this.yLast, xInCanvas, yInCanvas, color, this.activeTool + 1);
+                    this.flagEntity.isDirty = true;
                 }
 
-                xLast = xInCanvas;
-                yLast = yInCanvas;
+                this.xLast = xInCanvas;
+                this.yLast = yInCanvas;
             }
-        }
-        else if (activeTool == 3) // Flood fill
+        } else if (this.activeTool == 3) // Flood fill
         {
-            if (isDrawing && buttonNum != -1)
-            {
-                isDrawing = false;
+            if (this.isDrawing && buttonNum != -1) {
+                this.isDrawing = false;
                 this.mouseButton = -1;
             }
-        }
-        else if (activeTool == 4) // Rectangle
+        } else if (this.activeTool == 4) // Rectangle
         {
-            if (isDrawing && buttonNum != -1)
-            {
-                isDrawing = false;
+            if (this.isDrawing && buttonNum != -1) {
+                this.isDrawing = false;
 
                 // divide by pixel scale
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
 
                 byte color = 0;
-                if (this.mouseButton == 0)
-                {
-                    color = (byte) (selectedColor + 1);
+                if (this.mouseButton == 0) {
+                    color = (byte) (this.selectedColor + 1);
                 }
 
-                flagSurfaceEditor.drawRectangle(xLast, yLast, xInCanvas, yInCanvas, color);
-                flagEntity.isDirty = true;
+                this.flagSurfaceEditor.drawRectangle(this.xLast, this.yLast, xInCanvas, yInCanvas, color);
+                this.flagEntity.isDirty = true;
                 this.mouseButton = -1;
             }
-        }
-        else if (activeTool == 5) // Ellipse
+        } else if (this.activeTool == 5) // Ellipse
         {
-            if (isDrawing && buttonNum != -1)
-            {
-                isDrawing = false;
+            if (this.isDrawing && buttonNum != -1) {
+                this.isDrawing = false;
 
                 // divide by pixel scale
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
 
                 byte color = 0;
-                if (this.mouseButton == 0)
-                {
-                    color = (byte) (selectedColor + 1);
+                if (this.mouseButton == 0) {
+                    color = (byte) (this.selectedColor + 1);
                 }
 
-                flagSurfaceEditor.drawEllipse(xLast, yLast, xInCanvas, yInCanvas, color);
-                flagEntity.isDirty = true;
+                this.flagSurfaceEditor.drawEllipse(this.xLast, this.yLast, xInCanvas, yInCanvas, color);
+                this.flagEntity.isDirty = true;
                 this.mouseButton = -1;
             }
-        }
-        else if (activeTool == 6) // Line
+        } else if (this.activeTool == 6) // Line
         {
-            if (isDrawing && buttonNum != -1)
-            {
-                isDrawing = false;
+            if (this.isDrawing && buttonNum != -1) {
+                this.isDrawing = false;
 
                 // divide by pixel scale
-                int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-                int yInCanvas = (my - canvasY) / CANVAS_SCALE;
+                int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+                int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
 
                 byte color = 0;
-                if (this.mouseButton == 0)
-                {
-                    color = (byte) (selectedColor + 1);
+                if (this.mouseButton == 0) {
+                    color = (byte) (this.selectedColor + 1);
                 }
 
-                flagSurfaceEditor.drawLine(xLast, yLast, xInCanvas, yInCanvas, color, 1);
-                flagEntity.isDirty = true;
+                this.flagSurfaceEditor.drawLine(this.xLast, this.yLast, xInCanvas, yInCanvas, color, 1);
+                this.flagEntity.isDirty = true;
                 this.mouseButton = -1;
             }
         }
     }
 
     @Override
-    protected void drawGuiContainerBackgroundLayer(float f) 
-    {
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/flag_editor.png").bind();
-        int j = (width - xSize) / 2;
-        int k = (height - ySize) / 2;
-        drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
-        drawTexturedModalRect(j + 127,  k + 8 + selectedColor * 22, 176, 0, 20, 20);
+    protected void drawGuiContainerBackgroundLayer(float f) {
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/flag_editor.png").bind();
+        int j = (this.width - this.xSize) / 2;
+        int k = (this.height - this.ySize) / 2;
+        drawTexturedModalRect(j, k, 0, 0, this.xSize, this.ySize);
+        drawTexturedModalRect(j + 127, k + 8 + this.selectedColor * 22, 176, 0, 20, 20);
     }
 
     @Override
-    public void render(int mx, int my, float partialTick)
-    {
+    public void render(int mx, int my, float partialTick) {
         super.render(mx, my, partialTick);
-        drawOverlaySurface.clear();
+        this.drawOverlaySurface.clear();
 
-        int xInCanvas = (mx - canvasX) / CANVAS_SCALE;
-        int yInCanvas = (my - canvasY) / CANVAS_SCALE;
-        byte color = (byte) (selectedColor + 1);
+        int xInCanvas = (mx - this.canvasX) / this.CANVAS_SCALE;
+        int yInCanvas = (my - this.canvasY) / this.CANVAS_SCALE;
+        byte color = (byte) (this.selectedColor + 1);
         if (this.mouseButton == 1) color = 4;
 
-        if (activeTool >= 0 && activeTool < 3) // Pen
+        if (this.activeTool >= 0 && this.activeTool < 3) // Pen
         {
-            drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, activeTool + 1);
-        }
-        else if (activeTool == 3) // Flood fill
+            this.drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, this.activeTool + 1);
+        } else if (this.activeTool == 3) // Flood fill
         {
-            drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
-        }
-        else if (activeTool == 4) // Rectangle
+            this.drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
+        } else if (this.activeTool == 4) // Rectangle
         {
-            if (isDrawing)
-            {
-                drawOverlaySurfaceEditor.drawRectangle(xLast, yLast, xInCanvas, yInCanvas, color);
-            }
-            else
-            {
-                drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
+            if (this.isDrawing) {
+                this.drawOverlaySurfaceEditor.drawRectangle(this.xLast, this.yLast, xInCanvas, yInCanvas, color);
+            } else {
+                this.drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
             }
-        }
-        else if (activeTool == 5) // Ellipse
+        } else if (this.activeTool == 5) // Ellipse
         {
-            if (isDrawing)
-            {
-                drawOverlaySurfaceEditor.drawEllipse(xLast, yLast, xInCanvas, yInCanvas, color);
-            }
-            else
-            {
-                drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
+            if (this.isDrawing) {
+                this.drawOverlaySurfaceEditor.drawEllipse(this.xLast, this.yLast, xInCanvas, yInCanvas, color);
+            } else {
+                this.drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
             }
-        }
-        else if (activeTool == 6) // Line
+        } else if (this.activeTool == 6) // Line
         {
-            if (isDrawing)
-            {
-                drawOverlaySurfaceEditor.drawLine(xLast, yLast, xInCanvas, yInCanvas, color, 1);
-            }
-            else
-            {
-                drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
+            if (this.isDrawing) {
+                this.drawOverlaySurfaceEditor.drawLine(this.xLast, this.yLast, xInCanvas, yInCanvas, color, 1);
+            } else {
+                this.drawOverlaySurfaceEditor.drawLine(xInCanvas, yInCanvas, xInCanvas, yInCanvas, color, 1);
             }
         }
 
@@ -429,72 +373,67 @@ public class ScreenFlagEditor
 
     @Override
     protected void drawGuiContainerForegroundLayer() {
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.edit_flag.label.inventory"), 8, (ySize - 96) + 2, 0xFF404040);
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.edit_flag.label.inventory"), 8, (this.ySize - 96) + 2, 0xFF404040);
     }
 
     @Override
-    public void keyPressed(char eventCharacter, int eventKey, int mx, int my)
-    {
-        if (eventKey == Keyboard.KEY_ESCAPE || mc.gameSettings.keyInventory.isKeyboardKey(eventKey) || eventKey == Keyboard.KEY_BACK)
-        {
-            mc.thePlayer.closeScreen();
+    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
+        if (eventKey == Keyboard.KEY_ESCAPE || this.mc.gameSettings.keyInventory.isKeyboardKey(eventKey) || eventKey == Keyboard.KEY_BACK) {
+            this.mc.thePlayer.closeScreen();
         }
 
         if (eventKey == Keyboard.KEY_1 || eventKey == Keyboard.KEY_2 || eventKey == Keyboard.KEY_3) {
-            colorLabels[selectedColor].setTextColor(0xFF404040);
-            colorLabels[selectedColor].setShadow(false);
-            selectedColor = eventKey - Keyboard.KEY_1;
-            colorLabels[selectedColor].setTextColor(0xFFFFFFFF);
-            colorLabels[selectedColor].setShadow(true);
+            this.colorLabels[this.selectedColor].setTextColor(0xFF404040);
+            this.colorLabels[this.selectedColor].setShadow(false);
+            this.selectedColor = eventKey - Keyboard.KEY_1;
+            this.colorLabels[this.selectedColor].setTextColor(0xFFFFFFFF);
+            this.colorLabels[this.selectedColor].setShadow(true);
 
         }
         super.keyPressed(eventCharacter, eventKey, mx, my);
     }
 
     @Override
-    public int getWidth()
-    {
-        return CANVAS_WIDTH;
+    public int getWidth() {
+        return this.CANVAS_WIDTH;
     }
 
     @Override
-    public int getHeight()
-    {
-        return CANVAS_HEIGHT;
+    public int getHeight() {
+        return this.CANVAS_HEIGHT;
     }
 
     @Override
-    public Byte getPixelValue(int x, int y)
-    {
-        if(x < 0 || x >= CANVAS_WIDTH)
+    public Byte getPixelValue(int x, int y) {
+        if (x < 0 || x >= this.CANVAS_WIDTH)
             return 0;
-        if(y < 0 || y >= CANVAS_HEIGHT)
+        if (y < 0 || y >= this.CANVAS_HEIGHT)
             return 0;
-        return flagEntity.flagColors[x + 24 * y];
+        return this.flagEntity.flagColors[x + 24 * y];
     }
 
     @Override
-    public boolean setPixelValue(int x, int y, Byte value)
-    {
-        if(x < 0 || x >= CANVAS_WIDTH)
+    public boolean setPixelValue(int x, int y, Byte value) {
+        if (x < 0 || x >= this.CANVAS_WIDTH)
             return false;
-        if(y < 0 || y >= CANVAS_HEIGHT)
+        if (y < 0 || y >= this.CANVAS_HEIGHT)
             return false;
-        flagEntity.flagColors[x + 24 * y] = value;
-        flagEntity.isDirty = true;
+        this.flagEntity.flagColors[x + 24 * y] = value;
+        this.flagEntity.isDirty = true;
         return true;
     }
 
     private static final ByteBuffer flagBuffer = ByteBuffer.allocate(1 + TileEntityFlag.CANVAS_HEIGHT * TileEntityFlag.CANVAS_WIDTH).order(ByteOrder.LITTLE_ENDIAN);
+
     public void sendUpdatePacket() {
         flagBuffer.clear();
 
         byte header = 0;
-        if (flagEntity.flipped) header |= 0b0000_0001;
+        if (this.flagEntity.flipped) header |= 0b0000_0001;
 
         flagBuffer.put(header);
-        flagBuffer.put(flagEntity.flagColors);
+        flagBuffer.put(this.flagEntity.flagColors);
 
-        mc.getSendQueue().addToSendQueue(new PacketCustomPayload(PacketCustomPayload.CHANNEL_FLAG, (ByteBuffer) flagBuffer.flip()));
+        this.mc.getSendQueue().addToSendQueue(new PacketCustomPayload(PacketCustomPayload.CHANNEL_FLAG, flagBuffer.flip()));
     }
 }
